package org.jboss.soa.esb.samples.quickstart.ws_i;

import java.net.URL;

import javax.xml.namespace.QName;

import org.jboss.soa.esb.helpers.ConfigTree;
import org.jboss.soa.esb.message.Message;

public class MyClient 
{

	private static final String SERVICE_URL = "http://localhost:8080/WS-I/HelloWorldWS";
	protected ConfigTree ctree;
	
	public MyClient(ConfigTree ctree)
	{
		this.ctree = ctree;
	}
	
	public Message process(Message message) throws Exception
	{
		QName serviceName = new QName("http://ws_i.quickstart.samples.esb.soa.jboss.org/", "HelloWorldWSService");
	    URL wsdlURL = new URL(SERVICE_URL + "?wsdl");
	    HelloWorldWSService service = new HelloWorldWSService(wsdlURL, serviceName);  
	    HelloWorld proxy = service.getHelloWorldWSPort();
	    System.out.println(proxy.twoWayMethod("See me in clients standard output."));    
	
	    return message;
	}
}
